CMSIS-Core (Cortex-A): IRQ Priority Bit-Masks

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
IRQ Priority Bit-Masks
Interrupts and Exceptions

Definitions used by interrupt priority functions. More...

## Macros

#define | IRQ_PRIORITY_Msk (0x0000FFFFUL)
| Interrupt priority value bit-mask. More...
#define | IRQ_PRIORITY_ERROR (0x80000000UL)
| Bit indicating priority value error. More...

## Description

The following values are used by the interrupt priority functions.

The value of IRQ_PRIORITY_Msk specifies maximum interrupt priority value and can be used as parameter for the functions IRQ_GetPriority and IRQ_SetPriorityGroupBits to retrieve implementation specific priority values.

The value of IRQ_PRIORITY_ERROR is used by functions IRQ_GetPriority, IRQ_GetPriorityMask and IRQ_GetPriorityGroupBits to signal function execution error.

## Macro Definition Documentation

#define IRQ_PRIORITY_ERROR (0x80000000UL)

#define IRQ_PRIORITY_Msk (0x0000FFFFUL)